--- old/usr/src/lib/libxcurses/Makefile	2013-05-27 09:45:31.600805118 +0000
+++ new/usr/src/lib/libxcurses/Makefile	2013-05-27 09:45:31.612073122 +0000
@@ -72,16 +72,15 @@
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
 # derived C files
-# mknames.awk defines functions so needs nawk
 $(NAMES) : src/libc/xcurses/mknames.awk src/libc/xcurses/caps
 	$(RM) $(NAMES)
-	cd src/libc/xcurses; $(NAWK) -f mknames.awk caps
+	cd src/libc/xcurses; $(AWK) -f mknames.awk caps
 
 h/term.h : src/libc/xcurses/mkterm.awk src/libc/xcurses/caps
 	$(RM) $@
-	cd src/libc/xcurses; $(NAWK) -f mkterm.awk caps > term.h
+	cd src/libc/xcurses; $(AWK) -f mkterm.awk caps > term.h
 	$(MV) src/libc/xcurses/term.h h/term.h
 
 src/libc/xcurses/keyindex.c : src/libc/xcurses/mkkey.awk src/libc/xcurses/caps
 	$(RM) $@
-	cd src/libc/xcurses; $(NAWK) -f mkkey.awk caps > keyindex.c
+	cd src/libc/xcurses; $(AWK) -f mkkey.awk caps > keyindex.c
--- old/usr/src/lib/libxcurses2/Makefile	2013-05-27 09:45:31.996466073 +0000
+++ new/usr/src/lib/libxcurses2/Makefile	2013-05-27 09:45:32.007827595 +0000
@@ -80,16 +80,15 @@
 	@cd $@; pwd; $(MAKE) $(TARGET)
 
 # derived C files
-# mknames.awk defines functions so needs nawk
 $(NAMES) : src/libc/xcurses/mknames.awk src/libc/xcurses/caps
 	$(RM) $(NAMES)
-	cd src/libc/xcurses; $(NAWK) -f mknames.awk caps
+	cd src/libc/xcurses; $(AWK) -f mknames.awk caps
 
 h/term.h : src/libc/xcurses/mkterm.awk src/libc/xcurses/caps
 	$(RM) $@
-	cd src/libc/xcurses; $(NAWK) -f mkterm.awk caps > term.h
+	cd src/libc/xcurses; $(AWK) -f mkterm.awk caps > term.h
 	$(MV) src/libc/xcurses/term.h h/term.h
 
 src/libc/xcurses/keyindex.c : src/libc/xcurses/mkkey.awk src/libc/xcurses/caps
 	$(RM) $@
-	cd src/libc/xcurses; $(NAWK) -f mkkey.awk caps > keyindex.c
+	cd src/libc/xcurses; $(AWK) -f mkkey.awk caps > keyindex.c
--- old/usr/src/lib/lvm/libmeta/Makefile.com	2013-05-27 09:45:32.407044737 +0000
+++ new/usr/src/lib/lvm/libmeta/Makefile.com	2013-05-27 09:45:32.421838805 +0000
@@ -22,8 +22,6 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
 
 LIBRARY=       	libmeta.a 
 VERS=          	.1 
@@ -160,11 +158,11 @@
 
 mdiox_xdr.c: $(SRC)/uts/common/sys/lvm/mdiox.x
 	$(RPCGEN) $(RPCGENFLAGS) -c -i 100 $(SRC)/uts/common/sys/lvm/mdiox.x | \
-	nawk '{sub(/uts\/common\/sys\/lvm/, "head"); print $$0}' >$@
+	/usr/xpg4/bin/awk  '{sub(/uts\/common\/sys\/lvm/, "head"); print $$0}' >$@
 
 meta_basic_xdr.c: $(SRC)/uts/common/sys/lvm/meta_basic.x
 	$(RPCGEN) $(RPCGENFLAGS) -c $(SRC)/uts/common/sys/lvm/meta_basic.x | \
-	nawk '{sub(/uts\/common\/sys\/lvm/, "head"); print $$0}' >$@
+	/usr/xpg4/bin/awk '{sub(/uts\/common\/sys\/lvm/, "head"); print $$0}' >$@
 
 metad_clnt.c: $(SRC)/head/metad.x 
 	$(RPCGEN) $(RPCGENFLAGS) -l $(SRC)/head/metad.x -o $@
@@ -174,11 +172,11 @@
 
 metamed_clnt.c: $(SRC)/uts/common/sys/lvm/metamed.x
 	$(RPCGEN) $(RPCGENFLAGS) -l $(SRC)/uts/common/sys/lvm/metamed.x | \
-	nawk '{sub(/uts\/common\/sys\/lvm/, "head"); print $$0}' >$@
+	/usr/xpg4/bin/awk '{sub(/uts\/common\/sys\/lvm/, "head"); print $$0}' >$@
 
 metamed_xdr.c: $(SRC)/uts/common/sys/lvm/metamed.x 
 	$(RPCGEN) $(RPCGENFLAGS) -c $(SRC)/uts/common/sys/lvm/metamed.x | \
-	nawk '{sub(/uts\/common\/sys\/lvm/, "head"); print $$0}' >$@
+	/usr/xpg4/bin/awk '{sub(/uts\/common\/sys\/lvm/, "head"); print $$0}' >$@
 
 metamhd_clnt.c: $(SRC)/head/metamhd.x 
 	$(RPCGEN) $(RPCGENFLAGS) -l $(SRC)/head/metamhd.x -o $@
@@ -188,7 +186,7 @@
 
 mhdx_xdr.c: $(SRC)/uts/common/sys/lvm/mhdx.x
 	$(RPCGEN) $(RPCGENFLAGS) -c $(SRC)/uts/common/sys/lvm/mhdx.x | \
-	nawk '{sub(/uts\/common\/sys\/lvm/, "head"); print $$0}' >$@
+	/usr/xpg4/bin/awk '{sub(/uts\/common\/sys\/lvm/, "head"); print $$0}' >$@
 
 mdmn_commd_xdr.c: $(SRC)/uts/common/sys/lvm/mdmn_commd.x
 	$(RPCGEN) -c $(SRC)/uts/common/sys/lvm/mdmn_commd.x -o $@
--- old/usr/src/lib/smbsrv/libsmb/Makefile	2013-05-27 09:45:32.849050037 +0000
+++ new/usr/src/lib/smbsrv/libsmb/Makefile	2013-05-27 09:45:32.862057732 +0000
@@ -32,5 +32,5 @@
 include ../Makefile.smbsrv
 
 $(GENSRCS): common/smb_status_gen.awk $(SRC)/uts/common/smb/ntstatus.h
-	nawk -f common/smb_status_gen.awk \
+	/usr/xpg4/bin/awk -f common/smb_status_gen.awk \
 	  $(SRC)/uts/common/smb/ntstatus.h > $@
--- old/usr/src/man/man1m/cpustat.1m	2013-05-27 09:45:34.563965439 +0000
+++ new/usr/src/man/man1m/cpustat.1m	2013-05-27 09:45:34.574152796 +0000
@@ -195,7 +195,7 @@
 frequently so that less than 4 billion clock cycles can occur between samples.
 .sp
 .LP
-The output of cpustat is designed to be readily parseable by \fBnawk\fR(1) and
+The output of cpustat is designed to be readily parseable by \fBawk\fR(1) and
 \fBperl\fR(1), thereby allowing performance tools to be composed by embedding
 \fBcpustat\fR in scripts. Alternatively, tools can be constructed directly
 using the same \fBAPI\fRs that \fBcpustat\fR is built upon using the facilities
@@ -341,7 +341,7 @@
 .SH SEE ALSO
 .sp
 .LP
-\fBcputrack\fR(1), \fBnawk\fR(1), \fBperl\fR(1), \fBiostat\fR(1M),
+\fBcputrack\fR(1), \fBawk\fR(1), \fBperl\fR(1), \fBiostat\fR(1M),
 \fBprstat\fR(1M), \fBpsrset\fR(1M), \fBvmstat\fR(1M), \fBcpc\fR(3CPC),
 \fBcpc_open\fR(3CPC), \fBcpc_bind_cpu\fR(3CPC), \fBgethrtime\fR(3C),
 \fBstrtoll\fR(3C), \fBlibcpc\fR(3LIB), \fBattributes\fR(5)
--- old/usr/src/pkg/Makefile	2013-05-27 09:45:35.305761541 +0000
+++ new/usr/src/pkg/Makefile	2013-05-27 09:45:35.319856263 +0000
@@ -153,7 +153,7 @@
 sparc_ARCH64= sparcv9
 
 OPENSSL	=	/usr/bin/openssl
-OPENSSL10.cmd = $(OPENSSL) version | $(NAWK) '{if($$2<1){print "\043";}}'
+OPENSSL10.cmd = $(OPENSSL) version | $(AWK) '{if($$2<1){print "\043";}}'
 OPENSSL10_ONLY	=	$(OPENSSL10.cmd:sh)
 
 #
@@ -610,7 +610,7 @@
 	r=$${sdotr%.+(?)}; s=$${sdotr#+(?).}; \
 	print "Generating $$r $$s package list"; \
 	$(RM) $(@); $(TOUCH) $(@); \
-	$(NAWK) 'BEGIN { \
+	$(AWK) 'BEGIN { \
 		if (ARGC < 2) { \
 			exit; \
 		} \
@@ -663,7 +663,7 @@
 stage-licenses: license-list FRC
 	$(PKGDEBUG)$(MAKE) -e -f Makefile.lic \
 		PKGDEBUG=$(PKGDEBUG) LICROOT=$(PKGROOT)/licenses \
-		`$(NAWK) '{ \
+		`$(AWK) '{ \
 			print "$(PKGROOT)/licenses/" $$0; \
 			print "$(PKGROOT)/licenses/" $$0 ".descrip"; \
 		}' license-list` > /dev/null;
--- old/usr/src/pkg/manifests/system-extended-system-utilities.mf	2013-05-27 09:45:35.774207450 +0000
+++ new/usr/src/pkg/manifests/system-extended-system-utilities.mf	2013-05-27 09:45:35.784324585 +0000
@@ -114,7 +114,6 @@
 file path=usr/bin/lgrpinfo mode=0555
 file path=usr/bin/look mode=0755
 file path=usr/bin/mkfifo mode=0555
-file path=usr/bin/nawk mode=0555
 file path=usr/bin/newform mode=0555
 file path=usr/bin/news mode=0555
 file path=usr/bin/nl mode=0555
--- old/usr/src/test/zfs-tests/include/commands.cfg	2013-05-27 09:45:36.218530891 +0000
+++ new/usr/src/test/zfs-tests/include/commands.cfg	2013-05-27 09:45:36.228507760 +0000
@@ -93,7 +93,7 @@
 export MODUNLOAD="/usr/sbin/modunload"
 export MOUNT="/usr/sbin/mount"
 export MV="/usr/bin/mv"
-export NAWK="/usr/bin/nawk"
+export AWK="/usr/xpg4/bin/awk"
 export NCHECK="/usr/sbin/ncheck"
 export NEWFS="/usr/sbin/newfs"
 export PACK="/usr/bin/pack"
--- old/usr/src/test/zfs-tests/include/libtest.shlib	2013-05-27 09:45:36.644979614 +0000
+++ new/usr/src/test/zfs-tests/include/libtest.shlib	2013-05-27 09:45:36.658723457 +0000
@@ -687,7 +687,7 @@
 	fi
 
 	typeset -i endcyl=$($PRTVTOC -h /dev/rdsk/${disk}s2 |
-		$NAWK -v token="$slice" '{if ($1==token) print $6}')
+		$AWK -v token="$slice" '{if ($1==token) print $6}')
 
 	((endcyl = (endcyl + 1) / ratio))
 	echo $endcyl
@@ -1347,7 +1347,7 @@
 {
 	typeset disklist=""
 
-	disklist=$($ZPOOL iostat -v $1 | $NAWK '(NR >4) {print $1}' | \
+	disklist=$($ZPOOL iostat -v $1 | $AWK '(NR >4) {print $1}' | \
 	    $GREP -v "\-\-\-\-\-" | \
 	    $EGREP -v -e "^(mirror|raidz1|raidz2|spare|log|cache)$")
 
@@ -1469,7 +1469,7 @@
 	typeset token=$2
 	typeset keyword=$3
 
-	$ZPOOL status -v "$pool" 2>/dev/null | $NAWK -v token="$token:" '
+	$ZPOOL status -v "$pool" 2>/dev/null | $AWK -v token="$token:" '
 		($1==token) {print $0}' \
 	| $GREP -i "$keyword" > /dev/null 2>&1
 
@@ -1690,7 +1690,7 @@
 # we're creating the awk script.
 # -------------------
 	$CAT > /tmp/find_disks.awk <<EOF
-#!/bin/nawk -f
+#!/usr/xpg4/bin/awk -f
 	BEGIN { FS="."; }
 
 	/^Specify disk/{
@@ -2327,7 +2327,7 @@
 	typeset field=${3:-$pool}
 
 	state=$($ZPOOL status -v "$pool" 2>/dev/null | \
-		$NAWK -v device=$disk -v pool=$pool -v field=$field \
+		$AWK -v device=$disk -v pool=$pool -v field=$field \
 		'BEGIN {startconfig=0; startfield=0; }
 		/config:/ {startconfig=1}
 		(startconfig==1) && ($1==field) {startfield=1; next;}
@@ -2471,7 +2471,7 @@
 	typeset pos offset
 
 	$ECHO $1 | \
-		$NAWK -v pos=$2 -v offset=$3 '{print substr($0, pos, offset)}'
+		$AWK -v pos=$2 -v offset=$3 '{print substr($0, pos, offset)}'
 }
 
 #
--- old/usr/src/test/zfs-tests/tests/functional/acl/acl_common.kshlib	2013-05-27 09:45:37.176713832 +0000
+++ new/usr/src/test/zfs-tests/tests/functional/acl/acl_common.kshlib	2013-05-27 09:45:37.186992938 +0000
@@ -54,7 +54,7 @@
 		return 1
 	fi
 
-	$LS -vd $obj | $NAWK '(NR != 1) {print $0}'
+	$LS -vd $obj | $AWK '(NR != 1) {print $0}'
 }
 
 #
@@ -69,7 +69,7 @@
 		return 1
 	fi
 
-	$LS -Vd $obj | $NAWK '(NR != 1) {print $0}'
+	$LS -Vd $obj | $AWK '(NR != 1) {print $0}'
 }
 
 #
@@ -198,7 +198,7 @@
 		return 1
 	fi
 
-	$LS -vd $obj | $NAWK '(NR == 1) {print $1}' | $GREP "+\>" > /dev/null
+	$LS -vd $obj | $AWK '(NR == 1) {print $1}' | $GREP "+\>" > /dev/null
 
         return $?
 }
@@ -248,7 +248,7 @@
 		return 1
 	fi
 
-	$LS -vd $1 | $NAWK 'BEGIN {count=0}
+	$LS -vd $1 | $AWK 'BEGIN {count=0}
 			(NR != 1)&&(/[0-9]:/) {count++}
 			END {print count}'
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_send/zfs_send_006_pos.ksh	2013-05-27 09:45:37.556062296 +0000
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_send/zfs_send_006_pos.ksh	2013-05-27 09:45:37.565956981 +0000
@@ -77,10 +77,10 @@
 	typeset file_size=$2
 	typeset refer_diff=$($ECHO "$refer_size - $estimate_size" | bc)
 	refer_diff=$($ECHO "$refer_diff / 1" | bc)
-	refer_diff=$($ECHO "$refer_diff" | $NAWK '{print ($1 < 0) ? ($1 * -1): $1'})
+	refer_diff=$($ECHO "$refer_diff" | $AWK '{print ($1 < 0) ? ($1 * -1): $1'})
 	typeset file_diff=$($ECHO "$file_size - $estimate_size" | bc)
 	file_diff=$($ECHO "$file_diff / 1" | bc)
-	file_diff=$($ECHO "$file_diff" | $NAWK '{print ($1 < 0) ? ($1 * -1):$1'})
+	file_diff=$($ECHO "$file_diff" | $AWK '{print ($1 < 0) ? ($1 * -1):$1'})
 	typeset expected_diff=$(cal_percentage $refer_size)
 
 	[[ -z $refer_diff && -z $file_diff && -z $expected_diff ]] && \
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_009_pos.ksh	2013-05-27 09:45:37.940405844 +0000
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_snapshot/zfs_snapshot_009_pos.ksh	2013-05-27 09:45:37.949117283 +0000
@@ -77,9 +77,9 @@
 log_note "verify multiple snapshot transaction group"
 txg_group=$($ZDB -Pd $TESTPOOL | $GREP snap | $AWK '{print $7}')
 for i in 1 2 3; do
-	txg_tag=$($ECHO "$txg_group" | $NAWK -v j=$i 'FNR == j {print}')
+	txg_tag=$($ECHO "$txg_group" | $AWK -v j=$i 'FNR == j {print}')
 	[[ $txg_tag != $($ECHO "$txg_group" | \
-	    $NAWK -v j=$i 'FNR == j {print}') ]] \
+	    $AWK -v j=$i 'FNR == j {print}') ]] \
 	    && log_fail "snapshots belong to differnt transaction groups"
 done
 log_note "verify snapshot contents"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_001_pos.ksh	2013-05-27 09:45:38.366394400 +0000
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_001_pos.ksh	2013-05-27 09:45:38.374789211 +0000
@@ -70,7 +70,7 @@
 typeset expect_str3="The following filesystems are out of date, and can be upgraded"
 typeset -i COUNT OLDCOUNT
 
-$ZFS upgrade | $NAWK '$1 ~ "^[0-9]+$" {print $2}'> $oldoutput
+$ZFS upgrade | $AWK '$1 ~ "^[0-9]+$" {print $2}'> $oldoutput
 OLDCOUNT=$( $WC -l $oldoutput | $AWK '{print $1}' )
 
 old_datasets=""
@@ -98,7 +98,7 @@
 # we also check that the usage message contains at least a description
 # of the current ZFS version.
 log_must eval '$GREP "${expect_str1} $ZFS_VERSION" $output > /dev/null 2>&1'
-$ZFS upgrade | $NAWK '$1 ~ "^[0-9]+$" {print $2}'> $output
+$ZFS upgrade | $AWK '$1 ~ "^[0-9]+$" {print $2}'> $output
 COUNT=$( $WC -l $output | $AWK '{print $1}' )
 
 typeset -i i=0
@@ -125,7 +125,7 @@
 else
 	log_must eval '$GREP "${expect_str3}" $output > /dev/null 2>&1'
 fi
-$ZFS upgrade | $NAWK '$1 ~ "^[0-9]+$" {print $2}'> $output
+$ZFS upgrade | $AWK '$1 ~ "^[0-9]+$" {print $2}'> $output
 COUNT=$( $WC -l $output | $AWK '{print $1}' )
 
 if (( COUNT != OLDCOUNT )); then
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_002_pos.ksh	2013-05-27 09:45:38.768552056 +0000
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_upgrade/zfs_upgrade_002_pos.ksh	2013-05-27 09:45:38.778757721 +0000
@@ -56,7 +56,7 @@
 
 log_must eval '$ZFS upgrade -v > /dev/null 2>&1'
 
-$ZFS upgrade -v | $NAWK '$1 ~ "^[0-9]+$" {print $0}'> $output
+$ZFS upgrade -v | $AWK '$1 ~ "^[0-9]+$" {print $0}'> $output
 log_must eval '$GREP "${expect_str1}" $output > /dev/null 2>&1'
 log_must eval '$GREP "${expect_str2}" $output > /dev/null 2>&1'
 
--- old/usr/src/tools/ndrgen/ndrgen.sh	2013-05-27 09:45:39.187216516 +0000
+++ new/usr/src/tools/ndrgen/ndrgen.sh	2013-05-27 09:45:39.208137983 +0000
@@ -48,7 +48,7 @@
 	ndl_file=$1
 	ndr_file=$2
 
-	nawk 'BEGIN { copy=0; }
+	/usr/xpg4/bin/awk 'BEGIN { copy=0; }
 	/^\/\* NDRGEN_HEADER_BEGIN \*\// { copy=1; next; }
 	/^\/\* NDRGEN_HEADER_END \*\// { copy=0; next; }
 	/./ { if (copy==1) print; }' < $ndl_file > $ndr_file
--- old/usr/src/tools/scripts/Install.sh	2013-05-27 09:45:39.689075632 +0000
+++ new/usr/src/tools/scripts/Install.sh	2013-05-27 09:45:39.702610426 +0000
@@ -235,7 +235,7 @@
 #
 
 function fixglom {
-	nawk \
+	/usr/xpg4/bin/awk \
 	    -v glomname=$2 \
 	    -v karch=$KARCH ' 
 	$1 == "MOD" || $1 == "SYMLINK" {
@@ -270,7 +270,7 @@
 #
 
 function filtimpl {
-	nawk \
+	/usr/xpg4/bin/awk \
 	    -v impl=$2 '
 	$1 == "MOD" || $1 == "SYMLINK" {
 		if ($6 == "all" || $6 == impl)
@@ -293,7 +293,7 @@
 # Usage: filtmod listfile modules
 #
 function filtmod {
-	nawk -v reqstring="$2" '
+	/usr/xpg4/bin/awk -v reqstring="$2" '
 	function modmatch(modname) {
 		if (reqstring == "All") {
 			return (1)
@@ -453,7 +453,7 @@
 
 # Sanity-check the given module list.
 function check_modlist {
-	nawk '
+	/usr/xpg4/bin/awk '
 	BEGIN {
 		nfields["MOD"] = 6
 		nfields["CONF"] = 6
@@ -956,7 +956,7 @@
 #
 
 if [ "$IMODE" != "n" ]; then
-	eval `echo $TARGET | nawk -F':' '{ 
+	eval `echo $TARGET | /usr/xpg4/bin/awk -F':' '{ 
 		if (NF != 2 || !length($1) || !length($2))
 			print "usage \"Invalid target\""
 		m = $1; d = $2
--- old/usr/src/tools/scripts/bindrop.sh	2013-05-27 09:45:40.113893729 +0000
+++ new/usr/src/tools/scripts/bindrop.sh	2013-05-27 09:45:40.123953148 +0000
@@ -234,7 +234,7 @@
 #
 MACH=$(uname -p)
 (cd "$SRC/pkg/packages.$MACH"; \
-	nawk '/^dir/ {sub(/.+ path=/, ""); print $1;}' *.metadata.*.redist | \
+	/usr/xpg4/bin/awk '/^dir/ {sub(/.+ path=/, ""); print $1;}' *.metadata.*.redist | \
 	sort -u > "$needdirs")
 
 #
--- old/usr/src/tools/scripts/checkpaths.sh	2013-05-27 09:45:40.470337172 +0000
+++ new/usr/src/tools/scripts/checkpaths.sh	2013-05-27 09:45:40.482168995 +0000
@@ -93,7 +93,7 @@
 		e="$CODEMGR_WS/exception_lists/packaging"
 		for f in $e; do
 			if [ -f $f ]; then
-				nawk 'NF == 1 || /[ 	]\+'$arch'$/ { print; }' \
+				/usr/xpg4/bin/awk 'NF == 1 || /[ 	]\+'$arch'$/ { print; }' \
 				    < $f | validate_paths -b $ROOT -n $f
 			fi
 		done
--- old/usr/src/tools/scripts/nightly.sh	2013-05-27 09:45:40.902449875 +0000
+++ new/usr/src/tools/scripts/nightly.sh	2013-05-27 09:45:40.911197959 +0000
@@ -1838,7 +1838,7 @@
 
 	while ! staffer ln -s $hostname.$STAFFER.$$ $lockf 2> /dev/null; do
 		basews=`basename $CODEMGR_WS`
-		ls -l $lockf | nawk '{print $NF}' | IFS=. read host user pid
+		ls -l $lockf | /usr/xpg4/bin/awk '{print $NF}' | IFS=. read host user pid
 		if [ "$host" != "$hostname" ]; then
 			echo "$MACH build of $basews apparently" \
 			    "already started by $user on $host as $pid."
@@ -2438,7 +2438,7 @@
 	else
 		typeset root
 		root=$(staffer svn info $CODEMGR_WS |
-			nawk '/^Repository Root:/ {print $NF}')
+			/usr/xpg4/bin/awk '/^Repository Root:/ {print $NF}')
 		if [[ $root != $BRINGOVER_WS ]]; then
 			# We fail here because there's no way to update
 			# from a named repo.
@@ -2779,7 +2779,7 @@
 			# whether it was built with -X or not.
 			#
 			IHV_REF_PROTO_LIST=$SRC/pkg/proto_list_ihv_$MACH
-			grepfor=$(nawk '$1 == "f" { print $2; exit }' \
+			grepfor=$(/usr/xpg4/bin/awk '$1 == "f" { print $2; exit }' \
 				$IHV_REF_PROTO_LIST 2> /dev/null)
 			if [ $? = 0 -a -n "$grepfor" ]; then
 				if [ "$X_FLAG" = "y" ]; then
--- old/usr/src/tools/scripts/protocmp.terse.sh	2013-05-27 09:45:41.397555038 +0000
+++ new/usr/src/tools/scripts/protocmp.terse.sh	2013-05-27 09:45:41.408923251 +0000
@@ -24,7 +24,6 @@
 # Copyright 1993-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 # 
-#ident	"%Z%%M%	%I%	%E% SMI"
 
 opts=""
 while getopts guplmsLv arg
@@ -49,7 +48,7 @@
 errlog=/tmp/protocmp.err.$$
 
 protocmp $opts "$@" 2>$errlog |
-	nawk -v old="$old" -v new="$new" -v differ="$differ" '
+	/usr/xpg4/bin/awk -v old="$old" -v new="$new" -v differ="$differ" '
 	/^\**$/ {
 		next;
 	}
--- old/usr/src/tools/scripts/webrev.sh	2013-05-27 09:45:41.722479907 +0000
+++ new/usr/src/tools/scripts/webrev.sh	2013-05-27 09:45:41.736174504 +0000
@@ -1460,7 +1460,7 @@
 	set -A sids $($SCCS prs -l -r$psid -d:I: $cfile 2>/dev/null)
 	N=${#sids[@]}
 
-	nawkprg='
+	awkprg='
 		/^COMMENTS:/	{p=1; continue}
 		/^D [0-9]+\.[0-9]+/ {printf "--- %s ---\n", $2; p=0; }
 		NF == 0u	{ continue }
@@ -1471,12 +1471,12 @@
 
 		if [[ $fmt == "text" ]]; then
 			$SCCS prs -l -r$sid1 $cfile  2>/dev/null | \
-			    $AWK "$nawkprg"
+			    $AWK "$awkprg"
 			return
 		fi
 
 		$SCCS prs -l -r$sid1 $cfile  2>/dev/null | \
-		    html_quote | its2url | $AWK "$nawkprg"
+		    html_quote | its2url | $AWK "$awkprg"
 	fi
 }
 
@@ -2799,7 +2799,7 @@
 
 	# Try to figure out the parent based on the branch the current
 	# branch is tracking, if we fail, use origin/master
-	this_branch=$($GIT branch | nawk '$1 == "*" { print $2 }')
+	this_branch=$($GIT branch | /usr/xpg4/bin/awk '$1 == "*" { print $2 }')
 	par_branch="origin/master"
 
         # If we're not on a branch there's nothing we can do
--- old/usr/src/ucbcmd/sbcp/mksysent	2013-05-27 09:45:42.266890547 +0000
+++ new/usr/src/ucbcmd/sbcp/mksysent	2013-05-27 09:45:42.278953577 +0000
@@ -24,11 +24,9 @@
 # Copyright 1993-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-#
 #	mksysent - generate the sysent table from the list of system calls
 #
-nawk '
+/usr/xpg4/bin/awk '
 BEGIN {
 	print "#include <sys/asm_linkage.h>"
 	print "#include <sys/syscall.h>"
--- old/usr/src/uts/common/Makefile.rules	2013-05-27 09:45:42.678387860 +0000
+++ new/usr/src/uts/common/Makefile.rules	2013-05-27 09:45:42.687222983 +0000
@@ -1579,13 +1579,13 @@
 
 $(MD_XDR_CSRC)/meta_basic_xdr.c:	$(MD_XDR_XSRC)/meta_basic.x
 	$(RPCGEN) $(RPCGENFLAGS) -c -i 100 $(MD_XDR_XSRC)/meta_basic.x | \
-	nawk '{sub(/^#include "(\.\.\/\.\.\/)/,"#include \"\.\.\/\.\.\/\.\.\/\.\.\/"); print $$0}'  | \
-	nawk '{sub(/meta_basic.h/, "md_basic.h"); print $$0}' >$@
+	/usr/xpg4/bin/awk '{sub(/^#include "(\.\.\/\.\.\/)/,"#include \"\.\.\/\.\.\/\.\.\/\.\.\/"); print $$0}'  | \
+	/usr/xpg4/bin/awk '{sub(/meta_basic.h/, "md_basic.h"); print $$0}' >$@
 
 $(MD_XDR_CSRC)/metamed_xdr.c:	$(MD_XDR_XSRC)/metamed.x
 	$(RPCGEN) $(RPCGENFLAGS) -c -i 100 $(MD_XDR_XSRC)/metamed.x |  \
-	nawk '{sub(/^#include "(\.\.\/\.\.\/)/,"#include \"\.\.\/\.\.\/\.\.\/\.\.\/"); print $$0}' | \
-	nawk '{sub(/metamed.h/, "mdmed.h"); print $$0}' >$@
+	/usr/xpg4/bin/awk '{sub(/^#include "(\.\.\/\.\.\/)/,"#include \"\.\.\/\.\.\/\.\.\/\.\.\/"); print $$0}' | \
+	/usr/xpg4/bin/awk '{sub(/metamed.h/, "mdmed.h"); print $$0}' >$@
 
 #
 #	Section 1b:	Lint `objects'
--- old/usr/src/uts/common/sys/Makefile	2013-05-27 09:45:43.159164536 +0000
+++ new/usr/src/uts/common/sys/Makefile	2013-05-27 09:45:43.169772741 +0000
@@ -1363,13 +1363,13 @@
 all_h: $(GENHDRS)
 
 priv_const.h: $(PRIVS_AWK) $(PRIVS_DEF)
-	$(NAWK) -f $(PRIVS_AWK) < $(PRIVS_DEF) -v privhfile=$@
+	$(AWK) -f $(PRIVS_AWK) < $(PRIVS_DEF) -v privhfile=$@
 
 priv_names.h: $(PRIVS_AWK) $(PRIVS_DEF)
-	$(NAWK) -f $(PRIVS_AWK) < $(PRIVS_DEF) -v pubhfile=$@
+	$(AWK) -f $(PRIVS_AWK) < $(PRIVS_DEF) -v pubhfile=$@
 
 usb/usbdevs.h: $(USBDEVS_AWK) $(USBDEVS_DATA)
-	$(NAWK) -f $(USBDEVS_AWK) $(USBDEVS_DATA) -H > $@
+	$(AWK) -f $(USBDEVS_AWK) $(USBDEVS_DATA) -H > $@
 
 LVMDERIVED_H:
 	cd $(SRC)/uts/common/sys/lvm; pwd; $(MAKE)
--- old/usr/src/uts/i86pc/Makefile.rules	2013-05-27 09:45:43.573404890 +0000
+++ new/usr/src/uts/i86pc/Makefile.rules	2013-05-27 09:45:43.582969154 +0000
@@ -306,7 +306,7 @@
 
 $(OBJS_DIR)/dtracestubs.s:	$(UNIX_O) $(LIBS)
 	$(NM) -u $(UNIX_O) $(LIBS) | $(GREP) __dtrace_probe_ | $(SORT) | \
-	    $(UNIQ) | $(NAWK) '{ \
+	    $(UNIQ) | $(AWK) '{ \
 	    printf("\t.globl %s\n\t.type %s,@function\n%s:\n", \
 	    $$1, $$1, $$1); }' > $(OBJS_DIR)/dtracestubs.s
 
--- old/usr/src/uts/intel/Makefile	2013-05-27 09:45:43.914573084 +0000
+++ new/usr/src/uts/intel/Makefile	2013-05-27 09:45:43.927968371 +0000
@@ -90,7 +90,7 @@
 PRIVS_C = $(SRC)/uts/common/os/priv_const.c
 
 $(PRIVS_C): $(PRIVS_AWK) $(PRIVS_DEF)
-	$(NAWK) -f $(PRIVS_AWK) < $(PRIVS_DEF) cfile=$@
+	$(AWK) -f $(PRIVS_AWK) < $(PRIVS_DEF) cfile=$@
 
 #
 # Prerequisites
--- old/usr/src/uts/intel/config/Makefile	2013-05-27 09:45:44.253851462 +0000
+++ new/usr/src/uts/intel/config/Makefile	2013-05-27 09:45:44.263548685 +0000
@@ -114,7 +114,7 @@
 	$(INS.file)
 
 $(SRCDIR)/priv_names: $(PRIVS_DEF) $(PRIVS_AWK)
-	$(NAWK) -f $(PRIVS_AWK) < $(PRIVS_DEF) -v pnamesfile=$@
+	$(AWK) -f $(PRIVS_AWK) < $(PRIVS_DEF) -v pnamesfile=$@
 
 clean clobber lint:
 
--- old/usr/src/uts/sparc/config/Makefile	2013-05-27 09:45:44.606858206 +0000
+++ new/usr/src/uts/sparc/config/Makefile	2013-05-27 09:45:44.617481042 +0000
@@ -77,7 +77,7 @@
 	$(INS.file)
 
 $(SRCDIR)/priv_names: $(PRIVS_DEF) $(PRIVS_AWK)
-	$(NAWK) -f $(PRIVS_AWK) < $(PRIVS_DEF) -v pnamesfile=$@
+	$(AWK) -f $(PRIVS_AWK) < $(PRIVS_DEF) -v pnamesfile=$@
 
 clean clobber lint:
 
--- old/usr/src/uts/sun4u/Makefile	2013-05-27 09:45:44.968918539 +0000
+++ new/usr/src/uts/sun4u/Makefile	2013-05-27 09:45:44.979936489 +0000
@@ -113,7 +113,7 @@
 PRIVS_C = $(UTSBASE)/common/os/priv_const.c
 
 $(PRIVS_C): $(PRIVS_AWK) $(PRIVS_DEF)
-	$(NAWK) -f $(PRIVS_AWK) < $(PRIVS_DEF) cfile=$@
+	$(AWK) -f $(PRIVS_AWK) < $(PRIVS_DEF) cfile=$@
 
 
 #
--- old/usr/src/uts/sun4u/Makefile.rules	2013-05-27 09:45:45.362390544 +0000
+++ new/usr/src/uts/sun4u/Makefile.rules	2013-05-27 09:45:45.371319432 +0000
@@ -170,7 +170,7 @@
 
 $(OBJS_DIR)/dtracestubs.s:	$(UNIX_O) $(LIBS)
 	$(NM) -u $(UNIX_O) $(LIBS) | $(GREP) __dtrace_probe_ | $(SORT) | \
-	    $(UNIQ) | $(NAWK) '{ \
+	    $(UNIQ) | $(AWK) '{ \
 	    printf("\t.global %s\n\t.type %s, #function\n%s:\n", \
 	    $$1, $$1, $$1); }' > $(OBJS_DIR)/dtracestubs.s
 
--- old/usr/src/uts/sun4v/Makefile.rules	2013-05-27 09:45:45.708213338 +0000
+++ new/usr/src/uts/sun4v/Makefile.rules	2013-05-27 09:45:45.720034886 +0000
@@ -162,7 +162,7 @@
 
 $(OBJS_DIR)/dtracestubs.s:	$(UNIX_O) $(LIBS)
 	$(NM) -u $(UNIX_O) $(LIBS) | $(GREP) __dtrace_probe_ | $(SORT) | \
-	    $(UNIQ) | $(NAWK) '{ \
+	    $(UNIQ) | $(AWK) '{ \
 	    printf("\t.global %s\n\t.type %s, #function\n%s:\n", \
 	    $$1, $$1, $$1); }' > $(OBJS_DIR)/dtracestubs.s
 
